MIMEDEFANG-UTIL(1)

NAME
mimedefang-util -- Utility script for message structure debugging

SYNOPSIS
    # Print a "pretty" version of an input message
    mimedefang-util --prettyprint < input.msg

    # Print the message structure
    mimedefang-util --structure < input.msg

    # Parse and re-MIME the message
    mimedefang-util --dump < input.msg

DESCRIPTION
This script provides some debug tools formerly provided as part of mimedefang.pl

OPTIONS

--prettyprint
    Parses a mail message from standard input and reformats it in a "pretty" format on standard output. All text/* parts are printed directly, and non-text parts are described without printing their content.

--structure
    Parses a mail message from standard input, and outputs a description of the MIME tree to standard output.

--dump
    Parses a mail message from standard input, and dumps the parsed message back out again to standard output.

--data-dump
    Parses a mail message from standard input, and dumps the parsed message back out again to standard output using Data::Dumper

--help
    This help

--man
    Full manpage

LICENSE AND COPYRIGHT
Copyright (C) 2010 Roaring Penguin Software Inc.

This program may be distributed under the terms of the GNU General Public License, Version 2.